# Get Group

Launch stage: GA

`GET /api/2.0/preview/scim/v2/Groups/{id}`

Gets the information for a specific group in the <Databricks> workspace.

API scopes: scim

## Path parameters

- `id` (string, optional)
  Unique ID for a group in the <Databricks> workspace.

## Returns

- `displayName` (string, optional)
  String that represents a human-readable group name
- `entitlements` (array of object, optional)
  Entitlements assigned to the group. See [assigning entitlements](https://docs.databricks.com/administration-guide/users-groups/index.html#assigning-entitlements) for a full list of supported values.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `externalId` (string, optional)
  external_id should be unique for identifying groups
  Constraints: `<= 64 characters`
- `groups` (array of object, optional)
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `id` (string, optional)
  <Databricks> group ID
- `members` (array of object, optional)
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `roles` (array of object, optional)
  Corresponds to AWS instance profile/arn role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `schemas` (array of string, optional)
  The schema of the group.
  Possible values: `GROUP_SCHEMA_UNSPECIFIED`, `URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_GROUP`

## Response

```json
{
  "displayName": "string",
  "entitlements": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "externalId": "string",
  "groups": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "id": "string",
  "members": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "roles": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "schemas": [
    "string"
  ]
}
```

